Bug 127919 - CAN-2004-0685 usb sparse fixes in 2.4
Summary: CAN-2004-0685 usb sparse fixes in 2.4
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel
Version: 2.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-15 11:57 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2004-12-13 20:06:38 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:505 normal SHIPPED_LIVE Important: Updated kernel packages fix security vulnerability 2004-12-13 05:00:00 UTC

Description Mark J. Cox 2004-07-15 11:57:30 UTC
Back in October 2003 Arnaldo commited some fixes prior to 2.6 for some
leaking info to userspace in the usb drivers:
http://linux.bkbits.net:8080/linux-2.6/cset@3f986b35LyBKc-OxB8G6k22oOjgYTQ

The corresponding changes have not been commited to 2.4, or included in
the previous sparse fixes.  So I've assigned them CAN-2004-0685 (for 2.4
only, as they were fixed before 2.6.0).   Treat as public.

Comment 1 Mark J. Cox 2004-07-28 10:41:13 UTC
Now fixed upstream
http://linux.bkbits.net:8080/linux-2.4/cset@410582380U3H9KOx8J2YZmMT0bhXQw

Comment 2 John Flanagan 2004-12-13 20:06:38 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-505.html



Note You need to log in before you can comment on or make changes to this bug.